## barman-cli 1.2

=== doc/Makefile ===
MANPAGES=barman-wal-restore.1

.PHONY: all clean help subdirs $(SUBDIRS)

all: $(MANPAGES) $(DOCS) $(SUBDIRS)

barman-wal-restore.1: barman-wal-restore.1.md
	pandoc -s -t man -o $@ $<

clean:
	    rm -f $(MANPAGES)

help:
	    @echo "Usage:"
	    @echo "    $$ make"

=== debian/changelog ===
barman-cli (1.2-1) unstable; urgency=medium

  * New upstream version 1.2
  * Explicitly build-depend on dh-python

 -- Marco Nenciarini <mnencia@debian.org>  Mon, 03 Oct 2016 15:24:55 +0200

barman-cli (1.1-1) unstable; urgency=medium

  * Initial release (Closes: #837794)

 -- Marco Nenciarini <mnencia@debian.org>  Wed, 14 Sep 2016 18:54:29 +0200

=== debian/control ===
Source: barman-cli
Section: database
Priority: extra
Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
Uploaders: Marco Nenciarini <mnencia@debian.org>
Build-Depends: debhelper (>= 7), python, python-setuptools (>= 0.6b3~), dh-python
Standards-Version: 3.9.8.0
Homepage: http://www.pgbarman.org
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-postgresql/barman-cli.git
Vcs-Git: https://anonscm.debian.org/git/pkg-postgresql/barman-cli.git

Package: barman-cli
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, rsync (>= 3.0.4~)
Recommends: openssh-client
Description: Client utilities for the integration of Barman in PostgreSQL clusters
 Barman (Backup and Recovery Manager) is an open-source administration
 tool for disaster recovery of PostgreSQL servers written in Python.
 .
 It allows your organisation to perform remote backups of multiple
 servers in business critical environments to reduce risk and help
 DBAs during the recovery phase.
 .
 The barman-cli package contains client utilities for the integration
 of Barman in PostgreSQL clusters.
 .
 Barman is distributed under GNU GPL 3 and maintained by 2ndQuadrant.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh --with python2 $@

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/barman-cli/barman-cli-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## barman-cli 1.3

=== doc/Makefile ===
--- 
+++ 
@@ -1,8 +1,11 @@
-MANPAGES=barman-wal-restore.1
+MANPAGES=barman-wal-archive.1 barman-wal-restore.1
 
 .PHONY: all clean help subdirs $(SUBDIRS)
 
 all: $(MANPAGES) $(DOCS) $(SUBDIRS)
+
+barman-wal-archive.1: barman-wal-archive.1.md
+	pandoc -s -t man -o $@ $<
 
 barman-wal-restore.1: barman-wal-restore.1.md
 	pandoc -s -t man -o $@ $<

=== debian/changelog ===
barman-cli (1.3-1) unstable; urgency=medium

  [ Christoph Berg ]
  * Move packaging repository to salsa.debian.org
  * Move maintainer address to team+postgresql@tracker.debian.org.

  [ Marco Nenciarini ]
  * New upstream version 1.3
  * Bump Standards Version to 4.3.0 (no changes)
  * Set debhelper compatibility level to 9
  * Change priority from extra to optional, because the former was
    deprecated in policy 4.0.1 (lintian)
  * Use HTTPS in debian/watch URI

 -- Marco Nenciarini <mnencia@debian.org>  Fri, 01 Feb 2019 09:03:35 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: barman-cli
 Section: database
-Priority: extra
-Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
+Priority: optional
+Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
 Uploaders: Marco Nenciarini <mnencia@debian.org>
-Build-Depends: debhelper (>= 7), python, python-setuptools (>= 0.6b3~), dh-python
-Standards-Version: 3.9.8.0
+Build-Depends: debhelper (>= 9), python, python-setuptools (>= 0.6b3~), dh-python
+Standards-Version: 4.3.0
 Homepage: http://www.pgbarman.org
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-postgresql/barman-cli.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-postgresql/barman-cli.git
+Vcs-Browser: https://salsa.debian.org/postgresql/barman-cli
+Vcs-Git: https://salsa.debian.org/postgresql/barman-cli.git
 
 Package: barman-cli
 Architecture: all

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/barman-cli/barman-cli-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
